Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.services.binding
Class XSLTFileDelegate

    java.lang.Object
      org.jboss.services.binding.XSLTFileDelegate

All Implemented Interfaces:
  ServicesConfigDelegate

public class XSLTFileDelegate
extends Object
implements ServicesConfigDelegate

An implementation of the ServicesConfigDelegate that transforms an xml file used by a service. It retrieves the file location from the service, tranforms the file and saves it on a temporary location, which will be then applied to the service. It excpects a delegate-config element of the following form: The configName attribute specifies the JMX attribute, which defines the XML file to be transformed.

Version:
  $Revision: 1.2 $
Author:
  wonne.keysers@realsoftware.be, Scott.Stark@jboss.org

Constructor Summary
`XSLTFileDelegate()`

Method Summary
`void` | `applyConfig(ServiceConfig config, javax.management.MBeanServer server)` Transform the file specified in the given config, transform it, temporarily save the result and apply it onto the service specified in the config using JMX via the given server.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLTFileDelegate

    public XSLTFileDelegate()

Method Detail

### applyConfig

    public void applyConfig(ServiceConfig config,
                            javax.management.MBeanServer server)
                     throws Exception

  Transform the file specified in the given config, transform it, temporarily save the result and apply it onto the service specified in the config using JMX via the given server.

  Specified by:
    `applyConfig` in interface `ServicesConfigDelegate`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.